#ifndef MMOKOBANMODULE_H
#define MMOKOBANMODULE_H

#include <module.h>

class Server;

class MMOkobanModule : public Module
{
    bool m_running;
    Server* m_mmokoban_server;

    void start();
    void stop();

    static void startUpdateLoop(Server* server, bool &running);

public:
    MMOkobanModule();

    bool messageHandler(Message msg);
    QString getName();
};

#endif // MMOKOBANMODULE_H
